Today i will share the data for Java Version against Pentaho version. See the list below.It will help you in order to install correct Java version for Pentaho.


JBL [CPS] IN
PDI Version Java Version
Pentaho 8.2| JDK 1.8
Pentaho 8.1| JDK 1.8
Pentaho 8.0| JDK 1.8
Pentaho 7.1| JDK 1.8
Pentaho 7.0| JDK 1.8
Pentaho 6.1| JDK 1.7
Pentaho 6.0| JDK 1.7
Pentaho 5.4| JDK 1.7
Pentaho 5.3| JDK 1.7
Pentaho 5.2| JDK 1.7
Pentaho 5.1| JDK 1.7